VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPSecLevel Class Reference

`Snmp.SNMPSecLevel` enumerated type Defines SNMP decurity levels More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, none, auth, priv }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static SNMPSecLevel[] | GetValues ()
static SNMPSecLevel | ValueOf (string name)
## Static Public Attributes
static readonly SNMPSecLevel | none = new SNMPSecLevel("none", Values.none)
| none
static readonly SNMPSecLevel | auth = new SNMPSecLevel("auth", Values.auth)
| auth
static readonly SNMPSecLevel | priv = new SNMPSecLevel("priv", Values.priv)
| priv

## Detailed Description

`Snmp.SNMPSecLevel` enumerated type Defines SNMP decurity levels

## Member Enumeration Documentation

enum vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPSecLevel::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  none | none
  auth | auth
  priv | priv

## Member Function Documentation

Values vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPSecLevel::GetEnumValue | ( |  | ) | `[inline]`

static SNMPSecLevel [] vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPSecLevel::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPSecLevel::IsUnknown | ( |  | ) | `[inline]`

static SNMPSecLevel vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPSecLevel::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly SNMPSecLevel vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPSecLevel::auth = new SNMPSecLevel("auth", Values.auth)`[static]`

auth

readonly SNMPSecLevel vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPSecLevel::none = new SNMPSecLevel("none", Values.none)`[static]`

none

readonly SNMPSecLevel vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPSecLevel::priv = new SNMPSecLevel("priv", Values.priv)`[static]`

priv

The documentation for this class was generated from the following file:

- SnmpTypes.cs